import errno, os, PIL, fpdf, urllib.request

JPG = 0
PNG = 1

def makeDir(issue):
 try:
  os.makedirs(str(issue))
  return True

 except OSError as e:
  if e.errno != errno.EEXIST:
   raise

  return False

def makePDF(issue, pages, ftype = JPG):
 ext = "jpg" if ftype == JPG else "png"
 cover = PIL.Image.open("%s/1.%s" % (str(issue), ext))
 x, y = cover.size

 pdf = fpdf.FPDF(unit = "pt", format = [x, y])

 for page in range(pages):
  pdf.add_page()
  pdf.image("%s/%i.%s" % (str(issue), page + 1, ext), 0, 0)

 pdf.output("%s/issue.pdf" % str(issue), "F")

def downloadPage(url, issue, page, ftype = JPG):
 f = urllib.request.urlopen(url)

 with open("%s/%i.%s" % (str(issue), int(page), "jpg" if ftype == JPG else "png"), "b+w") as o:
  o.write(f.read())
